Firefox continuously freezes and freezes the rest of the system (Ubuntu 14.04)

Bug #1318403 reported by Juan Pablo Lauriente on 2014-05-11
88
This bug affects 20 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
mozillateam-ppa (Ubuntu)
Undecided
Unassigned

Bug Description

Important Update: The problem is solved when I erased .mozilla folder (locate in /home) and reopen firefox to recreate the folder '.mozilla'. Maybe a corrupt file or bad writing.

Problem:
Without opening Firefox, the computer works perfectly, but when you open and use Firefox starts the first freeze, and the whole system starts to become extremely slow. If I try to close Firefox and reopen it back, says there is an open process that I must close. In "No Add-ons mode" the same problem happens.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: firefox 30.0~b2+build1-0ubuntu0.14.04.2
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
AddonCompatCheckDisabled: False
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: juan 2032 F.... pulseaudio
 /dev/snd/controlC0: juan 2032 F.... pulseaudio
BuildID: 20140508142553
Channel: Unavailable
CurrentDesktop: Unity
Date: Sun May 11 16:14:11 2014
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2014-04-18 (22 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
IpRoute:
 default via 192.168.0.1 dev eth0 proto static
 192.168.0.0/24 dev eth0 proto kernel scope link src 192.168.0.100 metric 1
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
Locales: extensions.sqlite corrupt or missing
PrefSources: prefs.js
Profiles: Profile0 (Default) - LastVersion=30.0/20140508142553 (In use)
RelatedPackageVersions:
 rhythmbox-mozilla 3.0.2-0ubuntu2
 totem-mozilla 3.10.1-1ubuntu4
RfKill:

RunningIncompatibleAddons: False
SourcePackage: firefox
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/21/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.20
dmi.board.name: H61M-VS
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.20:bd06/21/2011:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnH61M-VS:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
Changed in mozillateam-ppa (Ubuntu):
status: New → Confirmed
summary: - Firefox continuously freezes and freeze the rest of the system (Ubuntu
+ Firefox continuously freezes and freezes the rest of the system (Ubuntu
14.04)
description: updated
lloreda rodrigo (donlloreda) wrote :

I´m new on the community, so please be easy!
I adhere to this bug report, Ubuntu 14.04 LTS x64
Intel Core 2 duo, 2 GIgs Ram, 500gigs HDD. Laptop
Once I click on the firefox icon, the whole system hangs, sometimes so badly not even ctrl-alt-bcksp works, power button does nothing (the phyisical one) I have to unplug the computer and remove the battery.
Strangely, looking at system monitor, memory usage is around 50%, no swap file usage. The only thing that is heavily accessed is the HDD.

teaker1s (teaker1s) wrote :

lucid system is stable, thrusty it is fragile and crashes regularly.
system passes stress and glxgears tests, but firefox crashes system within minutes

Alvin Ho (alfkh) wrote :

My observation, it happens typically when i do something on google particularly gmail. I don't recall anything like that happening in calendar, docs or youtube. To my observation, no other sites in my experience have this (hang condition) problem.

At times, i can do a force quit. In that case, i usually logout & login again just to restart X. If it is a complete hang, & that happens periodically, at least 1ce a day, the power button does work for me, but you chaps are right, ctrl-alt whatever, not even f1-f4 work; so that i can at least do a clean shutdown. The system is completely hung. Here's my system info;
Acer aspire 4755g
intel core i5-2410M
NVIDIA GeForce 540M
Mem : 8gb

Firefox 33
Ubuntu 14.04.1
I followed this proc to install bublebee. Dono if i did something right/wrong, but at that time, it worked. I would say it started happening about 2wk to a month ago soon after i did an update.
http://coffeecup83.blogspot.sg/2013/04/ubuntu-1304-nvidia-optimus-bumblebee.html

personally, i'm not really sure it's a firefox problem since it only happens on google & in particualr gmail!

AndreHebben (andre-hebben) wrote :

I had similar issues after doing a complete reinstall of my system (Ubuntu 14.04) and using the propietary drivers that
came with Ubuntu.

Each time Fire Fox was open the system hanged. However Firefox 's higher memory consumption was
a side effect of the main culprit. Even setting the: about:memory -> minimize memory usage did not help.
So i knew i had to look elsewhere.

Both my Nvdia 740M and FireFox where eating all the memory on the system.

Installing the latest bumblebee drivers fixed it , as i have no freezes anymore.

sudo apt-get install bumblebee bumblebee-nvidia primus nvidia-331

Uttam Pal (uttam2707) wrote :

Things are not better in vivid either. Firefox freezes the whole system when the window is in the maximized mode.

caprico (caprico4) wrote :

I can confirm that. Still happens with Ubuntu 15.10 and Firefox 41.0. I needed a long time to find out that Firefox causes it.
Deleting .mozilla folder and disabling add-ons doesn't help. Whenever I use for example Midore and keep Firefox closed, no crashes happen.

I don't have Adobe Flash installed and only use bcmwl-kernel-source as proprietary driver (graphics are Intel HD).
Unfortunately I have to use the power button to reboot the frozen system and don't have any error logs. Caps Lock button is not blinking (which usually is an indication of kernel panic).

Stan Williams (stanwmusic) wrote :

Ubuntu 14.04 it happens frequently now
 I sometimes have to press power button to kill it and sometimes alt + RSEIUB will make it reboot but I have waited for long periods of time and the system will stay frozen , locked up completely
Tonight it did it 3 times in a row after reboot I started Firefox it went to the same page before i could stop it and locked up the system
 I can turn off Javascript and it doesn't seem to do it

Stan Williams (stanwmusic) wrote :
Download full text (12.9 KiB)

Addendum:
I checked All the logs in Var/log and there was no record of what is happening that I could find.
Also , I forgot to give system specs.

00:00.0 Host bridge: Intel Corporation 4th Gen Core Processor DRAM Controller (rev 06)
 Subsystem: Hewlett-Packard Company Device 2af7
 Flags: bus master, fast devsel, latency 0
 Capabilities: <access denied>
 Kernel driver in use: hsw_uncore

00:02.0 VGA compatible controller: Intel Corporation Device 041e (rev 06) (prog-if 00 [VGA controller])
 Subsystem: Hewlett-Packard Company Device 2af7
 Flags: bus master, fast devsel, latency 0, IRQ 47
 Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
 Memory at e0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at f000 [size=64]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915

00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 05) (prog-if 30 [XHCI])
 Subsystem: Hewlett-Packard Company Device 2af7
 Flags: bus master, medium devsel, latency 0, IRQ 43
 Memory at f7e00000 (64-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>
 Kernel driver in use: xhci_hcd

00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)
 Subsystem: Hewlett-Packard Company Device 2af7
 Flags: bus master, fast devsel, latency 0, IRQ 46
 Memory at f7e1a000 (64-bit, non-prefetchable) [size=16]
 Capabilities: <access denied>
 Kernel driver in use: mei_me

00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 05) (prog-if 20 [EHCI])
 Subsystem: Hewlett-Packard Company Device 2af7
 Flags: bus master, medium devsel, latency 0, IRQ 16
 Memory at f7e18000 (32-bit, non-prefetchable) [size=1K]
 Capabilities: <access denied>
 Kernel driver in use: ehci-pci

00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 05)
 Subsystem: Hewlett-Packard Company Device 2af7
 Flags: bus master, fast devsel, latency 0, IRQ 48
 Memory at f7e10000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #1 (rev d5) (prog-if 00 [Normal decode])
 Flags: bus master, fast devsel, latency 0
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 00002000-00002fff
 Memory behind bridge: df200000-df3fffff
 Prefetchable memory behind bridge: 00000000df400000-00000000df5fffff
 Capabilities: <access denied>
 Kernel driver in use: pcieport

00:1c.5 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #6 (rev d5) (prog-if 00 [Normal decode])
 Flags: bus master, fast devsel, latency 0
 Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
 Memory behind bridge: f7d00000-f7dfffff
 Capabilities: <access denied>
 Kernel driver in use: pcieport

00:1c.6 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #7 (rev d5) (prog-if 00 [Normal decode])
 Flags: bus master, fast devsel, latency 0
 Bus: primary=00, secondary=03...

Tom Burwell (tom123b) wrote :

Deleting the .mozilla folder fixed this for me also. Thanks!

Stu (stu-axon) wrote :

It's hitting me on Ubuntu 15.10 with Nouveau drivers from Oibaf PPA, deleting the .mozilla folder did not fix it. Can't see anything obvious in dmesg.

mark wade (markwade) wrote :

Happens frequently reading nytimes.com, lots of javascript, high cpu usage. Mouse begins to be unresponsive then constant hd access, only way to recover holding down power button to force shutdown. System is stable otherwise.

Going to have to use another browser

Ubuntu 14.04
Intel Core 2 T4700
4GBs RAM
Intel 945GM
64bit

n0PxN0p (n0pxn0p) wrote :

ff 51.0b8 (64-bit) from ubuntu mozilla team ppa
16.04.1 (Xenial) - 4.4.0-53-generic x86_64

confirming freezes that make system unusable, it is a great luck if i manage to kill the process before it takes everything down, nothing suspicious on syslog or dmesg

Stephan (radev-stedy) wrote :

ff 58.0.1 (64-bit) from original repo
ubuntu 16.04 LTS
3,7 GiB RAM
Intel® Core™ i5-2520M CPU @ 2.50GHz × 4
Intel® Sandybridge Mobile
4.4.0-112-generic x86_64

There usually is Gmail tab open yet it freezes on other tab in the foreground.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers